cgGetEffectContext(3)

NAME
cgGetEffectContext - get a effect's context

SYNOPSIS
  #include <Cg/cg.h>
  CGcontext cgGetEffectContext( CGeffect effect );

PARAMETERS

effect
    The effect.

RETURN VALUES
Returns the context to which effect belongs.

Returns NULL if an error occurs.

DESCRIPTION
cgGetEffectContext allows the application to retrieve a handle to the context to which a given effect belongs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

HISTORY
cgGetEffectContext was introduced in Cg 1.4.

SEE ALSO
the cgCreateEffect manpage, the cgCreateEffectFromFile manpage, the cgCreateContext manpage